<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
<h:head>
    <title><ui:insert name="pageTitle">OmniDoc</ui:insert></title>
    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <meta http-equiv="X-UA-Compatible" content="ie=edge"/>
    <h:outputScript library="primefaces" name="components.css"/>
    <h:outputScript library="primefaces" name="jquery/jquery.js"/>
    <h:outputStylesheet name="/css/style.css"/>
    <f:event type="preRenderView" listener="#{templateController.setCurrentMenuItemSelected()}"/>
    <ui:insert name="header"/>
</h:head>
<h:body>
    <div id="container">
        <p:sidebar id="menu-side-ajax" widgetVar="pf-menu-side" baseZIndex="10000" style="padding: 10px;">
            <h1 style="font-weight:normal">OmniDoc</h1>
            <h:form>
                <p:menu model="#{templateController.model}" style="border: none; width: 100%;"/>
            </h:form>
        </p:sidebar>
        <div id="menu-small">
            <p:commandLink id="menu-side-btn" styleClass="fa fa-align-justify"
                           oncomplete="PF('pf-menu-side').show()"/>
            <h:form>
                <p:tieredMenu id="menu-small-ajax" model="#{templateController.model}"
                              style="border: none; min-width: 0; background-color: transparent"/>
            </h:form>
        </div>
        <div id="content">
            <ui:insert name="content"/>
        </div>
    </div>

    <p:dialog header="#{msg['logout']}" widgetVar="js-dlg-logout" modal="true" resizable="false"
              showEffect="fade" hideEffect="fade">
        <h:form>
            <h:panelGrid id="pnlAddSite">
                #{msg['logout.really']}
                <p:commandButton value="Ok" action="#{templateController.logout()}"/>
            </h:panelGrid>
        </h:form>
    </p:dialog>
</h:body>
</html>
